%define name	qlandkarte
%define oname	QLandkarte
%define version	0.5.1
%define over	2007.05.25
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Views and transfers data to a Garmin GPS receiver
Version: 	%{version}
Release: 	%{release}

Source:		%{oname}.%{over}.tar.bz2
URL:		http://qlandkarte.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt4-devel >= 4.2.0
BuildRequires:	libproj-devel
BuildRequires:	libusb-devel

%description
View and upload map files, track and waypoint data to your Garmin GPS receiver.

%prep
%setup -q -n %oname

%build
export QTDIR=%_prefix/lib/qt4
%_prefix/lib/qt4/bin/qmake QLandkarte.pro
# paralell make fails
make CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
										
%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%buildroot
ln -s %_bindir/%oname %buildroot/%_bindir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{oname}" icon="communications_section.png" needs="x11" title="QLandkarte" longtitle="Garmin GPS manager" section="More Applications/Communications" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{oname}
Comment=Garmin GPS manager
Exec=%{_bindir}/%{oname} 
Icon=communications_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;Utility;DataVisualization;Geography;X-MandrivaLinux-MoreApplications-Communications;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc index.html changelog.txt
%{_bindir}/*
%{_menudir}/%name
%{_datadir}/applications/*.desktop
%{_prefix}/lib/%name


%changelog
* Thu Jun 07 2007 Austin Acton <austin@mandriva.org> 0.5.1-1mdv2008.0
+ Revision: 36176
- fix x86_64 build
- fix menu
- Import qlandkarte

